texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo/texi2html ChangeLog TODO texi2html.pl d...


From: Patrice Dumas
Subject: texinfo/texi2html ChangeLog TODO texi2html.pl d...
Date: Sat, 17 Jul 2010 00:11:38 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     Patrice Dumas <pertusus>        10/07/17 00:11:38

Modified files:
        texi2html      : ChangeLog TODO texi2html.pl 
        texi2html/doc  : stamp-vti texi2html.texi version.texi 
        texi2html/test : run_test_all.sh 

Log message:
                * texi2html.pl: accept --set-init-var VAR=VALUE syntax. Karl
                idea.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/ChangeLog?cvsroot=texinfo&r1=1.518&r2=1.519
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/TODO?cvsroot=texinfo&r1=1.189&r2=1.190
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/texi2html.pl?cvsroot=texinfo&r1=1.399&r2=1.400
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/doc/stamp-vti?cvsroot=texinfo&r1=1.79&r2=1.80
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/doc/texi2html.texi?cvsroot=texinfo&r1=1.111&r2=1.112
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/doc/version.texi?cvsroot=texinfo&r1=1.79&r2=1.80
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/test/run_test_all.sh?cvsroot=texinfo&r1=1.17&r2=1.18

Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/ChangeLog,v
retrieving revision 1.518
retrieving revision 1.519
diff -u -b -r1.518 -r1.519
--- ChangeLog   15 Jul 2010 15:20:32 -0000      1.518
+++ ChangeLog   17 Jul 2010 00:11:35 -0000      1.519
@@ -1,3 +1,8 @@
+2010-07-17  Patrice Dumas  <address@hidden>
+
+       * texi2html.pl: accept --set-init-var VAR=VALUE syntax. Karl
+       idea.
+
 2010-07-15  Patrice Dumas  <address@hidden>
 
        * texi2html.pl, *.pm, texi2html.init, check_texinfo.pl.in, 

Index: TODO
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/TODO,v
retrieving revision 1.189
retrieving revision 1.190
diff -u -b -r1.189 -r1.190
--- TODO        15 Jul 2010 15:20:42 -0000      1.189
+++ TODO        17 Jul 2010 00:11:37 -0000      1.190
@@ -6,6 +6,57 @@
 Later
 -----
 
+* do redirection file for renamed nodes.
+%renamed_nodes = (
+  'Old name' => 'New name',
+);
+
+foreach my $old_node_name (keys(%renamed_nodes))
+{
+my $new_node_name = $renamed_nodes{$old_node_name};
+$old_node_name = normalise_node($old_node_name);
+$new_node_name = normalise_node($new_node_name);
+
+if (!defined($nodes{$new_node_name}))
+{
+  error msg $new_node_name to be renamed as not found
+}
+
+my $old_node->{'texi'} = $old_node_name;
+should do 'cross_manual_file' and 'cross_manual_target'
+then
+do_node_target_file($old_node, '');
+
+to determine the file name. 
+Then use something like do_node_files:
+my $new_node =  $nodes{$new_node_name};
+my $file = "${docu_rdir}$old_node->{'node_file'}";
+$Texi2HTML::NODE{'This'} = $new_node->{'text'};
+$Texi2HTML::NO_TEXI{'This'} = $new_node->{''no_texi'};
+        $Texi2HTML::SIMPLE_TEXT{'This'} = $new_node->{'simple_format'};
+        $Texi2HTML::NAME{'This'} = $new_node->{'text'};
+        my $href_file = $new_node->{'file'};
+        if (!defined($href_file))
+        {
+           if (Texi2HTML::Config::get_conf('novalidate'))
+           {
+               $href_file = '';
+           }
+           else
+           {
+               msg_debug ("Undefined file for `$new_node->{'texi'}' in 
do_node_files for renamed nodes");
+           }
+        }
+        $Texi2HTML::HREF{'This'} = "$href_file#$new_node->{'id'}";
+        my $redirect = &$Texi2HTML::Config::print_redirection_page ();
+        if (defined($redirect))
+        {
+           my $NODEFILE = open_out ($file);
+           print $NODEFILE "$redirect";
+           close $NODEFILE || document_error ("Can't close $file: $!", 1);
+        }
+
+
 * automatic menus. 
 
 * automatic nodes, if feasible (issue of unicity, mostly).
@@ -21,6 +72,9 @@
   info mode, such that it triggers also plaintext. Also test with 
   directories and files.
 
+* add --pdf --dvi that would trigger texi2dvi to be called. Karl should
+  say how to match the options.
+
 * check for (both split and not split)
 
   --out foo/ --out bar/file.html

Index: texi2html.pl
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/texi2html.pl,v
retrieving revision 1.399
retrieving revision 1.400
diff -u -b -r1.399 -r1.400
--- texi2html.pl        15 Jul 2010 12:26:58 -0000      1.399
+++ texi2html.pl        17 Jul 2010 00:11:37 -0000      1.400
@@ -90,7 +90,7 @@
 }
 
 # CVS version:
-# $Id: texi2html.pl,v 1.399 2010/07/15 12:26:58 pertusus Exp $
+# $Id: texi2html.pl,v 1.400 2010/07/17 00:11:37 pertusus Exp $
 
 # Homepage:
 my $T2H_HOMEPAGE = "http://www.gnu.org/software/texinfo/";;
@@ -3053,7 +3053,7 @@
 {
  type => '=s',
  linkage => sub { my $var_val = $_[1];
-  if ($var_val =~ s/^(\w+)\s*//)
+  if ($var_val =~ s/^(\w+)\s*=?\s*//)
   {
     my $var = $1;
     my $value = $var_val;

Index: doc/stamp-vti
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/doc/stamp-vti,v
retrieving revision 1.79
retrieving revision 1.80
diff -u -b -r1.79 -r1.80
--- doc/stamp-vti       14 Jul 2010 23:05:23 -0000      1.79
+++ doc/stamp-vti       17 Jul 2010 00:11:37 -0000      1.80
@@ -1,4 +1,4 @@
address@hidden UPDATED 15 July 2010
address@hidden UPDATED 17 July 2010
 @set UPDATED-MONTH July 2010
 @set EDITION 5.0
 @set VERSION 5.0

Index: doc/texi2html.texi
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/doc/texi2html.texi,v
retrieving revision 1.111
retrieving revision 1.112
diff -u -b -r1.111 -r1.112
--- doc/texi2html.texi  15 Jul 2010 12:26:59 -0000      1.111
+++ doc/texi2html.texi  17 Jul 2010 00:11:37 -0000      1.112
@@ -1006,6 +1006,11 @@
 @example
 --set-init-variable 'VAR_NAME value'
 @end example
+or
address@hidden
+--set-init-variable VAR_NAME=value
address@hidden example
+
 where @var{VAR_NAME} is the variable name, for example @code{SPLIT} or
 @code{NO_CSS} and @var{value} is the value of the variable. A special
 value is @samp{undef} the sets the variable to this special @command{perl}

Index: doc/version.texi
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/doc/version.texi,v
retrieving revision 1.79
retrieving revision 1.80
diff -u -b -r1.79 -r1.80
--- doc/version.texi    14 Jul 2010 23:05:24 -0000      1.79
+++ doc/version.texi    17 Jul 2010 00:11:37 -0000      1.80
@@ -1,4 +1,4 @@
address@hidden UPDATED 15 July 2010
address@hidden UPDATED 17 July 2010
 @set UPDATED-MONTH July 2010
 @set EDITION 5.0
 @set VERSION 5.0

Index: test/run_test_all.sh
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/test/run_test_all.sh,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -b -r1.17 -r1.18
--- test/run_test_all.sh        14 Jul 2010 15:42:35 -0000      1.17
+++ test/run_test_all.sh        17 Jul 2010 00:11:38 -0000      1.18
@@ -166,12 +166,17 @@
       command=$main_command
       format_option="--$format"
     fi
+    command_run=
     for command_location_dir in "$testdir/$srcdir_test/../../" ../../; do
       if [ -f "$command_location_dir/$command" ]; then
         command_run="$command_location_dir/$command"
         break
       fi
     done
+    if [ z"$command_run" = 'z' ]; then
+      echo "Command $command not found"
+      exit 1
+    fi
     export T2H_HOME="`pwd`""/$testdir/$srcdir_test/../../"
     outdir="${out_dir}${dir_suffix}/"
     results_dir="$testdir/$srcdir_test/${res_dir}${dir_suffix}"
@@ -189,8 +194,8 @@
       # -I $testdir/$srcdir_test/ is useful when file name is found using 
       # @setfilename
       echo "$command $dir" >> $logfile
-      echo "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ 
--set-init-var 'TEST 1' --output ${outdir}$dir/ -I $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/../ --set-init-var 'DUMP_TEXI 1' 
--macro-expand=${outdir}$dir/$basename.texi $remaining_out_dir $src_file 
2>${outdir}$dir/$basename.2" >> $logfile
-      eval "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ 
--set-init-var 'TEST 1' --output ${outdir}$dir/ -I $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/../ --set-init-var 'DUMP_TEXI 1' 
--macro-expand=${outdir}$dir/$basename.texi $remaining_out_dir $src_file 
2>${outdir}$dir/$basename.2"
+      echo "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ 
--set-init-var TEST=1 --output ${outdir}$dir/ -I $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/../ --set-init-var=DUMP_TEXI=1 
--macro-expand=${outdir}$dir/$basename.texi $remaining_out_dir $src_file 
2>${outdir}$dir/$basename.2" >> $logfile
+      eval "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ 
--set-init-var TEST=1 --output ${outdir}$dir/ -I $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/../ --set-init-var=DUMP_TEXI=1 
--macro-expand=${outdir}$dir/$basename.texi $remaining_out_dir $src_file 
2>${outdir}$dir/$basename.2"
       ret=$?
     else
       one_test_done=yes
@@ -231,8 +236,8 @@
       mkdir "${outdir}$dir"
       remaining_out_dir=`echo $remaining | sed 
's,@OUT_DIR@,'"${outdir}$dir/"',g'`
       echo "$command $dir" >> $logfile
-      echo "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/ -I $testdir/$srcdir_test/../ --set-init-var 'TEST 1' 
$l2h_tmp_dir --output ${outdir}$dir/ $remaining_out_dir $src_file > 
${outdir}$dir/$basename.1 2>${outdir}$dir/$basename.2" >> $logfile
-      eval "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/ -I $testdir/$srcdir_test/../ --set-init-var 'TEST 1' 
$l2h_tmp_dir --output ${outdir}$dir/ $remaining_out_dir $src_file > 
${outdir}$dir/$basename.1 2>${outdir}$dir/$basename.2"
+      echo "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/ -I $testdir/$srcdir_test/../ --set-init-var TEST=1 
$l2h_tmp_dir --output ${outdir}$dir/ $remaining_out_dir $src_file > 
${outdir}$dir/$basename.1 2>${outdir}$dir/$basename.2" >> $logfile
+      eval "perl -w -x $command_run $format_option --force --conf-dir 
$testdir/$srcdir_test/../../maintained_extra --conf-dir 
$testdir/$srcdir_test/../../examples --conf-dir 
$testdir/$srcdir_test/../../formats --conf-dir $testdir/$srcdir_test/ -I 
$testdir/$srcdir_test/ -I $testdir/$srcdir_test/../ --set-init-var TEST=1 
$l2h_tmp_dir --output ${outdir}$dir/ $remaining_out_dir $src_file > 
${outdir}$dir/$basename.1 2>${outdir}$dir/$basename.2"
       ret=$?
       rm -f ${outdir}$dir/*_l2h_images.log ${outdir}$dir/*_tex4ht_*.log \
         ${outdir}$dir/*_tex4ht_*.idv ${outdir}$dir/*_tex4ht_*.dvi \



reply via email to

[Prev in Thread] Current Thread [Next in Thread]